Package Details: vivaldi-arm64 3.1.1929.34-1

Git Clone URL: https://aur.archlinux.org/vivaldi-arm64.git (read-only, click to copy)
Package Base: vivaldi-arm64
Description: An advanced browser made with the power user in mind.
Upstream URL: https://vivaldi.com
Licenses: custom
Provides: vivaldi, www-browser
Submitter: beaker
Maintainer: None
Last Packager: TheGoliath
Votes: 4
Popularity: 0.062942
First Submitted: 2019-01-22 22:04
Last Updated: 2020-06-16 09:05

Dependencies (15)

Required by (7)

Sources (1)

Latest Comments

arnonuehm66 commented on 2020-10-23 15:31

I don't know how to upload a PKGBUILD, so for now here is the latest vivaldi aarch64. I just updated the version and sha-sum fields.

PKGBUILD

# Maintainer: Felix Golatofski <contact@xdfr.de>
# Contributor: Matthew Zilvar <mattzilvar@gmail.com>
# Contributor: Térence Clastres <t dot clastres at gmail dot com>
# Modified PKGBUILD from https://aur.archlinux.org/packages/vivaldi/

pkgname=vivaldi-arm64
_pkgname=vivaldi
pkgver=3.4.2066.86
_pkgver=3.4.2066.86-1
pkgrel=1
pkgdesc='An advanced browser made with the power user in mind.'
url="https://vivaldi.com"
options=('!strip' '!emptydirs')
license=('custom')
arch=('aarch64')
depends=('gtk3' 'libcups' 'nss' 'alsa-lib' 'libxss' 'ttf-font' 'desktop-file-utils' 'shared-mime-info' 'hicolor-icon-theme')
makedepends=('w3m')
optdepends=(
    'vivaldi-ffmpeg-codecs: playback of proprietary video/audio'
    'pepper-flash: flash support'
    'google-chrome: Widevine DRM Plugin'
    'vivaldi-widevine: Widevine DRM Plugin'
    'libnotify: native notifications'
)
provides=('www-browser' 'vivaldi')
source=("https://downloads.vivaldi.com/stable/vivaldi-stable_${_pkgver}_arm64.deb")
sha512sums=('889725b266a320397f9b983216eea18863f7047cf70e0f92b39765ab3789b98a3f0206603353f78ec77874eee9d5e019dd453373e211f7f800535b2e0595d518')

prepare() {
    tar -xf data.tar.xz
}

package() {
    cp --parents -a {opt,usr/bin,usr/share} "$pkgdir"

    # suid sandbox
    chmod 4755 "$pkgdir/opt/$_pkgname/vivaldi-sandbox"

    # make /usr/bin/vivaldi-stable available
    binf="$pkgdir/usr/bin/vivaldi-stable"
    if [[ ! -e "$binf" ]] && [[ ! -f "$binf" ]] && [[ ! -L "$binf" ]]; then
        install -dm755 "$pkgdir/usr/bin"
        ln -s /opt/vivaldi/vivaldi "$binf"
    fi

    # install icons
    for res in 16 22 24 32 48 64 128 256; do
        install -Dm644 "$pkgdir/opt/$_pkgname/product_logo_${res}.png" \
            "$pkgdir/usr/share/icons/hicolor/${res}x${res}/apps/$_pkgname.png"
    done

    # license
    install -dm755 "$pkgdir/usr/share/licenses/$_pkgname"
    strings "$pkgdir/opt/vivaldi/locales/en-US.pak" \
        | tr '\n' ' ' \
        | sed -rne 's/.*(<html lang.*>.*html>).*/\1/p' \
        | w3m -I 'utf-8' -T 'text/html' \
        > "$pkgdir/usr/share/licenses/$_pkgname/eula.txt"
}

TheGoliath commented on 2020-06-16 18:16

@dominic03 I've added a comment to the snapshot package https://aur.archlinux.org/packages/vivaldi-snapshot#comment-751518 with the appropriate changes. Hopefully things will be merged :)

dominic03 commented on 2020-06-16 16:22

Can a snapshot version of this package be made?

arnonuehm66 commented on 2020-06-14 17:40

Install newest 'vivaldi-arm64 3.1.1929.29-1' with a few changes in PKGBUILD.


patch

-pkgver=3.0.1874.38

-_pkgver=3.0.1874.38-1

+pkgver=3.1.1929.29

+_pkgver=3.1.1929.29-1

and

-sha512sums=('3c61d1d58966a9eb1c7b68ab13838a5508a4342c8da83035f0445ba29fbdf0ffb7cddba8e2e27eb128000c2720eb318cc03aa7d07af0882e3df8858d19b2dc30')

+sha512sums=('5598d7b4bd275fe2065438c93aef4df5f78fe7911e401cbde78b3fbab98ec48e7661fc5170dacc5e786cccd81f0956f80de6c54356638fb13f9e3d68a91f06a5')


Don't forget to run 'sudo /opt/vivaldi/update-ffmpeg' after installation with 'makepkg -i'. Enjoy.

TheGoliath commented on 2020-01-16 13:37

@arnonuehm66 updated the sha256sum. Should work now as expected

arnonuehm66 commented on 2020-01-16 12:45

To install the package be sure to update the sha256 hash: $ sha256sum vivaldi-stable_2.10.1745.26-1_arm64.deb 34c165d240bd34e55493148c8935ef5d62393c2c08cf89095ea5ac282ec709bd vivaldi-stable_2.10.1745.26-1_arm64.deb

beaker commented on 2019-08-25 03:23

Would like to see if any other users are interested in taking over maintenance of this package as I'm switching to an open source alternative. If so, please message me. I will continue to maintain the PKGBUILD for the time-being.